
header{
    height: 300px;
    width: 100vw;
    background-color: #eb7171;
    padding-top:100px;
    box-sizing: border-box;
    border-radius: 0px 0px 50px 50px;
    margin-bottom: 20px;
}
@keyframes openup {
    to{transform: scale(1,1);}
}
header > h1{
    background: linear-gradient(45deg, violet, blue, green, yellow, orange, red);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    font-size: 80px;
    text-align: center;
    transform: scale(0,0);
    animation: openup 1s 500ms linear normal forwards;
}
header > p{
    text-align: center;
    color: white;
}
.heading{
    text-align: center;
    font-size: 30px;
}
.heading::after, .heading::before{
    content:"";
    height: 10px;
    width: 100px;
    display: inline-block;
    border-bottom: 2px solid black;
    margin: 10px;
}
.ser-flex{
    width: 90vw;
    margin: 20px auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    gap: 15px;
}
.ser-item{
    height: 50px;
    width: 100%;
    max-width: 450px;
    display: grid;
    grid-template-columns: 50px 1fr;
    box-shadow: 2px 2px 3px black;
    border-radius: 10px;
}
.ser-item:hover{
    transform: scale(1.05,1.05);
}
.ser-item div {
    font-size: 30px;
    padding-top: 5px;
    color: green;
}
.ser-item > h2{
    padding-top: 8px;
    overflow:hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-weight: lighter;
}

@media screen and (max-width: 600px){
    header > h1{
        font-size: 40px;
    }
    .heading{
        font-size: 22px;
    }
    .heading::after{
        display: none;
    }
    .heading::before{
        display: none;
    }
    .ser-flex{
        width: 98vw;
    }
    .ser-item{
        height: 35px;
        grid-template-columns: 35px 1fr;
    }
    .ser-item div, .ser-item > h2{
        font-size: 18px;
    }
}